<?php
/**
 * Theme information page
 * @package Finance Advisor
 */

//Add the theme page
add_action('admin_menu', 'finance_advisor_add_theme_info');
function finance_advisor_add_theme_info(){
	$theme_info = add_theme_page( esc_html__('Finance Advisor Info','finance-advisor'), esc_html__('Finance Advisor Info','finance-advisor'), 'manage_options', 'nivastore-info.php', 'finance_advisor_info_page' );
    add_action( 'load-' . $theme_info, 'finance_advisor_info_hook_styles' );
}

//Callback
function finance_advisor_info_page() {
?>
	<div class="info-container">
		<h2 class="info-title"><?php esc_html_e('Finance Advisor Info','finance-advisor'); ?></h2>
		<div class="info-block"><div class="dashicons dashicons-book-alt info-icon"></div>
        	<p class="info-text"><a href="<?php echo esc_url('https://blazethemes.com/documentation/finance-advisor/');?>" target="_blank"><?php esc_html_e('Setup Tutorials (Documentation)','finance-advisor'); ?></a></p></div>
          <div class="info-block"><div class="dashicons dashicons-book-alt info-icon"></div>
        	<p class="info-text"><a href="<?php echo esc_url('https://blazethemes.com/documentation/finance-advisor-pro/');?>" target="_blank"><?php esc_html_e('Setup Tutorials Pro version (Documentation)','finance-advisor'); ?></a></p></div>
    <div class="info-block"><div class="dashicons dashicons-sos info-icon"></div>
        	<p class="info-text"><a href="<?php echo esc_url('https://www.blazethemes.com/support'); ?>" target="_blank"><?php esc_html_e('Support','finance-advisor'); ?></a></p></div>       
        <div class="info-block"><div class="dashicons dashicons-desktop info-icon"></div>
        	<p class="info-text"><a href="<?php echo esc_url('https://demo.blazethemes.com/finance-advisor'); ?>" target="_blank"><?php esc_html_e('Theme demo','finance-advisor'); ?></a></p></div> 

        <div class="info-block"><div class="dashicons dashicons-embed-video info-icon"></div>
        	<p class="info-text"><a href="<?php echo esc_url('https://blazethemes.com/theme/finance-advisor-pro/');?>" target="_blank"><?php esc_html_e('Get Pro Version','finance-advisor'); ?></a></p></div>      
		<div class="info-block"><div class="dashicons dashicons-laptop info-icon"></div>
        	<p class="info-text"><a href="<?php echo esc_url('https://demo.blazethemes.com/finance-advisor-pro/'); ?>" target="_blank"><?php esc_html_e('Pro Theme demo','finance-advisor'); ?></a></p></div>       
	</div>
<?php
}

//Styles
function finance_advisor_info_hook_styles(){
   	add_action( 'admin_enqueue_scripts', 'finance_advisor_info_page_styles' );
}
function finance_advisor_info_page_styles() {
	wp_enqueue_style( 'finance_advisor-info-style', get_template_directory_uri() . '/assets/styles/css/info-page.css', array(), true );
}