<?php
/**
 * Sample implementation of the Custom Header feature
 *
 * You can add an optional custom header image to header.php like so ...
 *
	<?php the_header_image_tag(); ?>
 *
 * @link https://developer.wordpress.org/themes/functionality/custom-headers/
 *
 * @package Finance_Advisor
 */

/**
 * Set up the WordPress core custom header feature.
 *
 * @uses finance_advisor_header_style()
 */
function finance_advisor_custom_header_setup() {
	add_theme_support(
		'custom-header',
		apply_filters(
			'finance_advisor_custom_header_args',
			array(
				'default-image'      => get_template_directory_uri(). '/assets/images/banner_image.jpg',
				'width'              => 1800,
				'height'             => 600,
				'flex-height'        => true,
				'header-text'			=> false,
			)
		)
	);

	// Register default headers.
	register_default_headers( array(
		'real-estate' => array(
			'url'           => '%s/assets/images/banner_image.jpg',
			'thumbnail_url' => '%s/assets/images/banner_image.jpg',
			'description'   => esc_html_x( 'Finance', 'header image description', 'finance-advisor' ),
		),

	) );

}
add_action( 'after_setup_theme', 'finance_advisor_custom_header_setup' );
