<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Finance_Advisor
 */

get_header();
?>

<div class="container page-content">
	<section class="clients-block blog-wrap">
		<div class="container">
			<div class="listing-block has-two-columns">
				<?php if ( have_posts() ) : ?>

					<header class="page-header">
						<h1 class="page-title">
							<?php
							/* translators: %s: search query. */
							printf( esc_html__( 'Search Results for: %s', 'finance-advisor' ), '<span>' . get_search_query() . '</span>' );
							?>
						</h1>
					</header><!-- .page-header -->

					<?php
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();

						/**
						 * Run the loop for the search to output the results.
						 * If you want to overload this in a child theme then include a file
						 * called content-search.php and that will be used instead.
						 */
						get_template_part( 'template-parts/content', 'search' );

					endwhile;
					?>
					<nav class="main-pagination number">
						<div class="inner">
							<?php echo paginate_links(); ?>
						</div>
					</nav>
				<?php
				else :

					get_template_part( 'template-parts/content', 'none' );

				endif;
				?>
			</div>

		</div>
	</section>
</div>

<?php
get_footer();
